Name:           qgnomeplatform
Version:        0.9.0
Group:          Graphical desktop/KDE
Release:        %mkrel 1
Summary:        Qt Platform Theme aimed to accommodate Gnome settings

License:        LGPLv2+
URL:            https://github.com/FedoraQt/QGnomePlatform
Source0:        https://github.com/FedoraQt/QGnomePlatform/archive/%{version}/QGnomePlatform-%{version}.tar.gz

# Upstream patches
#Patch0:         qgnomeplatform-fix-window-content-geometry-for-qt5-when-shadows-are-enabled.patch

#Patch50:        qgnomeplatform-use-more-updated-window-states-value.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  gsettings-desktop-schemas
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(xrender)
### Qt5 build dependencies
BuildRequires:  cmake(AdwaitaQt) >= 1.4.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.15.2
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5platformsupport-devel
BuildRequires:  qt5themesupport-devel
BuildRequires:  qt5servicesupport-devel
BuildRequires:  qt5xkbcommonsupport-devel
### Qt6 build dependencies
BuildRequires:  cmake(AdwaitaQt6) >= 1.4.2
BuildRequires:  cmake(Qt6Core) >= 6.4.0
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6WaylandClient)

%description
QGnomePlatform is a Qt Platform Theme aimed to accommodate as many
GNOME settings as possible and utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

#-------------------------------------------
### Qt5

%package qt5
Summary:        Qt5 Platform Theme aimed to accommodate Gnome settings
Group:          Graphical desktop/KDE
Requires:       gdm
Requires:       qtbase5-common >= 5.15.2
Requires:       adwaita-qt5
Requires:       qtwayland5
Provides:       %{name} = %{version}-%{release}
# Replace QGnomePlatform package with this as it was the Qt5 flavor
Obsoletes:      %{name} < 0.8.4-5

%description qt5
QGnomePlatform is a Qt5 Platform Theme aimed to accommodate as many
GNOME settings as possible and utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

#-------------------------------------------
### Qt6

%package qt6
Summary:        Qt6 Platform Theme aimed to accommodate Gnome settings
Group:          Graphical desktop/KDE
Requires:       gdm
Requires:       qtbase6-common >= 6.4.0
Requires:       adwaita-qt6
Requires:       qtwayland6

%description qt6
QGnomePlatform is a Qt6 Platform Theme aimed to accommodate as many
GNOME settings as possible and utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

#-------------------------------------------

%prep
%autosetup -p1 -n QGnomePlatform-%{version}

%build
%define _vpath_builddir build-qt5
%cmake
%cmake_build

%define _vpath_builddir build-qt6
%cmake -DUSE_QT6=ON
%cmake_build

%install
%define _vpath_builddir build-qt5
%cmake_install

%define _vpath_builddir build-qt6
%cmake_install

%files qt5
%doc README.md
%license LICENSE
%{_qt5_libdir}/libqgnomeplatform.so
%{_qt5_plugindir}/platformthemes/libqgnomeplatformtheme.so
%{_qt5_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so

%files qt6
%doc README.md
%license LICENSE
%{_qt6_libdir}/libqgnomeplatform6.so
%{_qt6_plugindir}/platformthemes/libqgnomeplatformtheme.so
%{_qt6_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so


%changelog
* Wed Jan 04 2023 daviddavid <daviddavid> 0.9.0-1.mga9
+ Revision: 1929857
- new version: 0.9.0
- enable Qt6 support

* Tue Apr 05 2022 umeabot <umeabot> 0.7.1-2.mga9
+ Revision: 1844433
- Mageia 9 Mass Rebuild

* Fri Apr 09 2021 daviddavid <daviddavid> 0.7.1-1.mga9
+ Revision: 1714195
- new version: 0.7.1

* Tue Jan 05 2021 daviddavid <daviddavid> 0.7.0-3.mga8
+ Revision: 1668974
- QXdgDesktopFileDialog: backport upstream fixes

* Thu Dec 24 2020 daviddavid <daviddavid> 0.7.0-2.mga8
+ Revision: 1663347
- libcommon should be a static lib

* Tue Dec 22 2020 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1662858
- new version: 0.7.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.1-3.mga8
+ Revision: 1659483
- Rebuild for new Qt5

* Sat Jul 25 2020 daviddavid <daviddavid> 0.6.1-2.mga8
+ Revision: 1608895
- add patch to fix build with Qt 5.15

* Tue May 19 2020 ovitters <ovitters> 0.6.1-1.mga8
+ Revision: 1586175
- new version 0.6.1

* Thu Feb 20 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1547376
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1488068
- new version: 0.6.0

* Mon Apr 01 2019 umeabot <umeabot> 0.5-2.mga7
+ Revision: 1384198
- Qt5 Rebuild

* Tue Jan 01 2019 daviddavid <daviddavid> 0.5-1.mga7
+ Revision: 1348342
- new version: 0.5

* Fri Oct 05 2018 daviddavid <daviddavid> 0.3-2.mga7
+ Revision: 1317850
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 0.3-1.mga7
+ Revision: 1225672
- new version: 0.3

* Mon Jul 04 2016 daviddavid <daviddavid> 0.1-2.mga6
+ Revision: 1038586
- fix version of Qt5 dependencies for 5.6.1

* Thu Mar 24 2016 tv <tv> 0.1-1.mga6
+ Revision: 994764
- imported package qgnomeplatform


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 0.1-1.mga6
- import from FC
